Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.i18n
Class MessageBundle

    java.lang.Object
      org.apache.axis.i18n.MessageBundle

public class MessageBundle
extends java.lang.Object

Accept parameters for ProjectResourceBundle, but defer object instantiation (and therefore resource bundle loading) until required.

Author:
  Richard A. Sitze (rsitze@us.ibm.com), Karl Moss (kmoss@macromedia.com), Glen Daniels (gdaniels@apache.org)

Constructor Summary
`MessageBundle(java.lang.String projectName, java.lang.String packageName, java.lang.String resourceName, java.util.Locale locale, java.lang.ClassLoader classLoader, java.util.ResourceBundle parent)` Construct a new ExtendMessages

Method Summary
`java.lang.String` | `getMessage(java.lang.String key)` Gets a string message from the resource bundle for the given key
`java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0)` Gets a string message from the resource bundle for the given key.
`java.lang.String` | `getMessage(java.lang.String key, java.lang.String[] array)` Gets a string message from the resource bundle for the given key.
`java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1)` Gets a string message from the resource bundle for the given key.
`java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)` Gets a string message from the resource bundle for the given key.
`java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)` Gets a string message from the resource bundle for the given key.
`java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3, java.lang.String arg4)` Gets a string message from the resource bundle for the given key.
`ProjectResourceBundle` | `getResourceBundle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageBundle

    public MessageBundle(java.lang.String projectName,
                         java.lang.String packageName,
                         java.lang.String resourceName,
                         java.util.Locale locale,
                         java.lang.ClassLoader classLoader,
                         java.util.ResourceBundle parent)
                  throws java.util.MissingResourceException

  Construct a new ExtendMessages

Method Detail

### getResourceBundle

    public final ProjectResourceBundle getResourceBundle()

### getMessage

    public java.lang.String getMessage(java.lang.String key)
                                throws java.util.MissingResourceException

  Gets a string message from the resource bundle for the given key

  Parameters:
    `key` - The resource key
  Returns:
    The message
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public java.lang.String getMessage(java.lang.String key,
                                       java.lang.String arg0)
                                throws java.util.MissingResourceException

  Gets a string message from the resource bundle for the given key. The message may contain variables that will be substituted with the given arguments. Variables have the format:

  This message has two variables: {0} and {1}

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
  Returns:
    The message
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public java.lang.String getMessage(java.lang.String key,
                                       java.lang.String arg0,
                                       java.lang.String arg1)
                                throws java.util.MissingResourceException

  Gets a string message from the resource bundle for the given key. The message may contain variables that will be substituted with the given arguments. Variables have the format:

  This message has two variables: {0} and {1}

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
  Returns:
    The message
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public java.lang.String getMessage(java.lang.String key,
                                       java.lang.String arg0,
                                       java.lang.String arg1,
                                       java.lang.String arg2)
                                throws java.util.MissingResourceException

  Gets a string message from the resource bundle for the given key. The message may contain variables that will be substituted with the given arguments. Variables have the format:

  This message has two variables: {0} and {1}

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
  Returns:
    The message
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public java.lang.String getMessage(java.lang.String key,
                                       java.lang.String arg0,
                                       java.lang.String arg1,
                                       java.lang.String arg2,
                                       java.lang.String arg3)
                                throws java.util.MissingResourceException

  Gets a string message from the resource bundle for the given key. The message may contain variables that will be substituted with the given arguments. Variables have the format:

  This message has two variables: {0} and {1}

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
    `arg3` - The argument to place in variable {3}
  Returns:
    The message
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public java.lang.String getMessage(java.lang.String key,
                                       java.lang.String arg0,
                                       java.lang.String arg1,
                                       java.lang.String arg2,
                                       java.lang.String arg3,
                                       java.lang.String arg4)
                                throws java.util.MissingResourceException

  Gets a string message from the resource bundle for the given key. The message may contain variables that will be substituted with the given arguments. Variables have the format:

  This message has two variables: {0} and {1}

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
    `arg3` - The argument to place in variable {3}
    `arg4` - The argument to place in variable {4}
  Returns:
    The message
  Throws:
    `java.util.MissingResourceException`

### getMessage

    public java.lang.String getMessage(java.lang.String key,
                                       java.lang.String[] array)
                                throws java.util.MissingResourceException

  Gets a string message from the resource bundle for the given key. The message may contain variables that will be substituted with the given arguments. Variables have the format:

  This message has two variables: {0} and {1}

  Parameters:
    `key` - The resource key
    `array` - An array of objects to place in corresponding variables
  Returns:
    The message
  Throws:
    `java.util.MissingResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.